数据提供商: TikHub
Lemon8 搜索接口
$0.001 / 次调用在 40 秒内响应
通过 TikHub 使用 Lemon8 搜索接口。每次调用发送一次请求;无论是否返回数据,TikHub 都对请求计费,空数据响应会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the TikHub endpoint /api/v1/lemon8/app/fetch_search on Glasser.bash
glasser run -p tikhub -e '/api/v1/lemon8/app/fetch_search' -i '{"query":"lemon8"}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/lemon8/app/fetch_search","input":{"query":"lemon8"},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究问题时,可以搜索相关来源,并判断哪些结果值得进一步阅读。
复制此提示词到你的 Agent,查找研究问题的资料来源。
提示词
Use tikhub:/api/v1/lemon8/app/fetch_search on Glasser.
Search for sources about my research question and explain which returned results are relevant.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"query"
],
"properties": {
"query": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search keyword"
},
"order_by": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search sort type, default is an empty string, optional values are as follows: - Empty string: Relevance (default using this parameter to sort) - popular: Sort by popularity - recent: Sort from new to old"
},
"max_cursor": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Pagination parameter, can be obtained from the return result of the last request. It is empty for the first request, and the `max_cursor` returned by the last request is used for subsequent requests. You can judge whether there is more data by the `has_more` field in the return result."
},
"search_tab": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search type, default is `main`, optional values are as follows: - main: Display as `Top` in the APP (comprehensive search, default using this parameter to search) - user: Display as `Accounts` in the APP (search user accounts) - hashtag: Display as `Hashtags` in the APP (search hashtags) - article: Display as `Posts` in the APP (search articles)"
},
"filter_type": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search filter type, default is an empty string, optional values are as follows: - Empty string: All (default using this parameter to search) - video: Search only video - posts: Search only posts"
}
},
"additionalProperties": false
}json
{
"query": "lemon8"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.001 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |